060219 cs  gedyn     Bugfix in GeValue: string was sometimes updated every scan.
060220 cs  ge        Connect to script extern variables in Value, Invisible,
                     SetDig, ToggleDig, DigShift and OptionMenu.
060227 cs  xtt       Command for collect remove and collect remove/clear in menu.
060307 cs  gedyn     Subscription for Table (select array) and AnalogColor was not
                     always unreferenced.
060331 cs  glow      Bugfix in annotation input. Insert of new characters might cause
                     segmentation fault.
060511 cs  ge        Bugfix in Ge Open window, null filename could cause empty list.
060516 cs  glow      Owner added to GrowWindow and GrowFolder.
060516 cs  ge        Object instances can be used in graphs in Window and Folder objects.
060516 cs  ge        Possibility to use local database in DigLowColor, ToggleDig, Slider
                     insensitiv, and Invisible.
060516 cs  ge        Bit type added in Invisible to check visibility on bits in a bitmap.
060522 cs  ge        Bugfix for $user attributes. Scan function for dynamics wasn't called. 
060524 cs  ge        Property for selected cell color in GrowTable.
060615 cs  xtt       Object attributes channels and signals displayed in Device table.
060628 cs  glow      Adjustment property (Left/Right/Center) added to annotations and table object.
060628 cs  ge        New Value, ValueInput and Button subgraphs with Right and Center adjustment.
060629 cs  ge        Format for Time and DeltaTime in table added.
070112 cs  xtt       Gtk version of xtt.
070112 cs  ge        Fileview for import of pwg and image files.
070112 cs  xtt       Font size in alarmtexts in operator window can be changed.
070112 cs  xtt       Nodename displayed i Xtt title.
070112 cs  xtt       New syntax for function key definition file (gtk version).
070115 cs  curve     Scroll and zoom with arrow keys and mouse wheel. Scroll buttons in tools.  
070116 cs  xtt       Toolbar with icons for the methods of the selected object added.
070117 cs  ge        Property EscapeStore for dynamic type ValueInput added.
070123 cs  xtt       Bugfix in remtrans table. If multicast object found, object was not displayed. 
070125 cs  ev        Problem with double appearence of alarm when communication is bad fixed.
070130 cs  web       _opwin removed from homepage name. index.html set as defaultname.
070130 cs  web       Possibility to configure which objectgraph jar-files that should be loaded (BaseComponent or ABB).
070221 cs  xtt       Problems with national characters in alarmtext in operator window fixed.
070327 cs  ge        Bugfix in navigator window, drawing attempt in zero buffer removed.
070327 cs  ge        Problems with national characters in ge attribute editor fixed.
070402 cs  ge        Dyntype invisible works also for attributes of type Float32.
070425 cs  ge        Bit type added in DigColor to view bits in a bitmap.
070426 cs  glow      Bugfix in imageobject, image was not always freed when graph was closed.
070503 cs  xtt       Bugfix in command 'open graph /access'.
070507 cs  ge        Support for fonts Times, NC Schoolbook and Courier.
070507 cs  ge        Problems with national characters in ge text fixed.
070510 cs  flow      Colored rectangles are still colored at inverse drawing.
070516 cs  xtt       Switch -s in rt_xtt (gtk only): an opplace can be choosen from a list.
070521 cs  statusmon Xtt and operator place can be opened from from status monitor.
070522 cs  glow      Support for center and right alignment of texts also in java.
070612 cs  glow      Fixcolor added to polyline properties.
070615 cs  glow      Bug fix in connection direction for objects both rotated and mirrored.
070629 cs  ge        New buttons in tools panel for scale double size and half size.
070629 cs  ge        New ventilation subgraphs added.
070629 cs  ge        New helpentry for subgraphs and help popup menu in subgraph palette.
070629 cs  glow      Documentation block added to pwg file.
070704 cs  glow      Subgraph name size increased from 32 to 80 characters.
070704 cs  ge        Circuitdiagram symbols added.
070705 cs  glow      Bugfix in connections, ConGlue wasn't snapped to grid and connection wasn't drawn when created.
070705 cs  xtt       Bugfix in logging, parameters with array index couldn't be restored  from saved entry.
070715 cs  glow      Problems in window objects with alternating doublebuffering enabled/disabled fixed.
070717 cs  ge        Select next object with Ctrl/Arrow keys.
070820 cs  glow      Grid drawing improved.
070820 cs  glow      Problems with the three first colors of the palette as backgroundcolor fixed.
070821 cs  xtt       Console log viewing last page when opened.
070822 cs  glow      Bugfix in text drawing. Minimal text size could cause segfault.
070904 cs  glow      Property Fix position added to rectangles and polylines.
070912 cs  ge        Component and dynamic for xy-curve added.
070925 cs  flow      Functionallity to print pdf-files added.
071016 cs  ge        Time format in dynamic Value added: %4t date only and %5t compressed date.
071017 cs  flow      Problems with poor scrolling performance in gtk version fixed.
071018 cs  xtt       Sensitivity setting of method buttons in xtt toolbar delayed to speed up selection with arrow keys.
071130 cs  ge        Type graph for UInt32 added.
071220 cs  glow      Bugfix in java generator for rounded rectangles without fill, which caused exception in java vm.
080115 cs  glow      Bugfix in tooltip position in window objects.
080115 cs  xtt       Graphs and other files listed in alphabetical order.
080116 cs  xtt       Input of national characters in Ge graph didn't work in gtk version.
080117 cs  ge        Export PlcFo added, drawing of plc function objects in Ge.
080118 cs  flow      Tooltip added to flow.
080118 cs  xtt       PlcConnect item in popupmenu for connected functionobject wasn't displayed in gtk version.
080121 cs  op        Operator window is popped when new alarm is received.
080123 cs  ge        Subscription initiation optimized in ge graph.
080227 cs  xtt       Problems with initial scrollbar settings fixed.
080128 cs  ge        Problems with bad performance when scrolling from navigator window fixed.
080305 cs  ge        Min and MaxValue in ValueInput for DeltaTimes added.
080320 cs  ge        Bugfix in position and size of option menu near lower window border.
080401 cs  xtt       Bugfix in Jop, java process stopped at termination of xtt.
080403 cs  flow      Bugfix for unbalanced paranthesis in pdf texts.
080408 cs  glow      Ge connections routing not sensitive for other nodes.
080408 cs  ge        Connections menu added in gtk version.
080408 cs  xtt       Format check added in Value dynamics.
080414 cs  ge        Dynamic DigCommand added.
080425 cs  xtt       New commands 'write object' and 'read object'.
080425 cs  xtt       New Fileview to read data from file or to save data to file.
080429 cs  ge        Problem with initial color palette scrollbar size fixed.
080430 cs  ge        Loaded Subgraphs: 'set all intern' added to menu.
080505 cs  xtt       Command 'show graph' opens graphs without scrollbar.
080505 cs  brow      Min and maxvalues for scrollbar adjusted.
080513 cs  ge        Journal file and undo/redo implemented.
080513 cs  ge        Delete added to menu, accelerator Ctrl+D moved from show grid to delete.
080529 cs  xtt       Bugfix in display object, didn't work for local mounted volumes, 
                     and attributes in subclasses wasn't selected.
080602 cs  web       LoadArchives attribute in WebHandler change from bitmask to string.
080602 cs  ge        Objectgraph for Mode: MinSet/MaxSet and MinOut/MaxOut used for slider limits and input limits.
080603 cs  xtt       Arrays with dynamic size, e.g. areaobjects, can be viewed in xtt.
080604 cs  xtt       Default filetype added to command 'open fileview' (qualifier /ftype).
080623 cs  xtt       Login window in xtt added, opened with command 'login', from menu and at startup. Also commands 'show user' and 'logout' added.
080623 cs  xtt       New login policy in Xtt: DefaultXttPriv and XttUseOpsysUser in Security object utilized to select user and privilges in xtt.
080826 cs  ge        Bit type added to dynamics DigLowColor, DigWarning and DigError.
080826 cs  ge        Bugfix in setting of fonttype in attribute editor.
080903 cs  ge        Bugfix in dynamics. A change of value could be undetected if scan function was interrupted by nethandler.
080915 cs  ge        Bugfix in erase location for annotation text in rotated subgraphs.
081006 cs  xtt       In command 'open graph /object' the qualifier /access can be used.
081009 cs  ge        Gtk images for question, info, error and waring added to the Ge image palette.
081024 cs  flow      Bugfix in multiline annotation text height calculation.
081120 cs  ge        Functionallity for gradient colors added.
081121 cs  ge        Dynamic OpenGraph without any object supplied, opens classgraph for object in PopupMenu or HostObject dynamics.
081126 cs  xtt       Method OpenGraph always viewed on XttGraph objects.
081128 cs  flow      Metric antialiased fonts.
081128 cs  glow      Metric antialiased fonts, scalable texts, change of fonts for subgraphs.
081130 cs  glow      Font can be set on node and group level for text and annotations.
081130 cs  glow      Red error color is not affected by gradient property.
090128 cs  xtt       Bugfix in alarmlist acknowledge.
090218 cs  glow      Bugfix for connection with the same source and destination object.
090219 cs  flow      Bugfix in connectionpoint selection. Removed node wasn't removed from selection list.
090219 cs  ge        Bugfix in Ge journal when attribute editor is open on create undo object.
090224 cs  flow      Navigator items wasn't sensitive and correctly drawn to right window border.
090225 cs  xtt       Ampersand in alarmtext cause a blank alarmtext in operator window.
090225 cs  flow      Problem with missing invert circle in postscript plc doc fixed.
090225 cs  xtt       Size check of attribute input and float format changed to %g.
090227 cs  glow      Bugfix in scaled option menu close to lower window border. Event coordinate translation was wrong.
090227 cs  ge        Problem with soiled texts fixed.
090305 cs  glow      Ge color palette fillcolor,bordercolor and textcolor selection changed.
090305 cs  xtt       Trend method not viewed for $PlantHier with a Trend child object.
090306 cs  xtt       Language translation of operator window buttons.
090512 cs  ge        Bugfix in ge editor, navigator palette wasn't destroyed at exit.
090518 cs  xtt       More flexible layout of operator buttons. NoFastAvail not used any more.
090518 cs  xtt       Bugfix in xtt termination. Free in wrong order could cause segfault.
090518 cs  xtt       Advanced user set as default, not set with option -d.
090519 cs  ge        Bugfix in fonts for language se_sv.
090601 cs  ge        New action: SetValue to set a specified value into an attribute.
090625 cs  xtt       Bugfix in eventlist, adding event in a full list could cause segfault.
090625 cs  xtt       Blocklist window title was wrong.
090810 cs  xtt       Blockwindow: checkbuttons changed to radiobuttons.
090811 cs  xtt       Command 'create item' with null destination creaets item on toplevel.
090828 cs  xtt       Help menu links updated to new Operator's Guide.
090902 cs  ge        Dynamic Invisible works for Int64 and UInt64.
090902 cs  flow      Bugfix in flow, if two objects overlapped, both were moved by the move event.
090916 cs  xtt       New operator window layout with menu and status bar.
090916 cs  xtt       Alarm time viewed in operator window.
090916 cs  xtt       New xtt command 'show objectlist /class='.
090916 cs  xtt       New xtt commands 'create opmenuitem' and 'delete opmenuitem' to modify operator window menu..
090930 cs  ge        Java compile problems for subgraphs with multiple annotations fixed.
091020 cs  xtt       Bugfix in System Messages, zip-files >= version 10 was not opened in the correct order in next/prev file.
091029 cs  xtt       Bugfix in xtt logging, restore on attributes of attributeobject didn't work.
091029 cs  xtt       Bugfix in xtt logging, if showfile was activate before logging was terminated, xtt could segfault.
091102 cs  ge        Menu entry to create subgraphs added.
091102 cs  ge        Menu items for connections changed to radio items.
091103 cs  xtt       Translation and utf8 conversion of search condition in EventLog window fixed.
091104 cs  glow      Fixcolor added to arc properties.
091106 cs  ge        Different ways to show hot object added: linewith, light color, dark color.
091208 cs  xtt       New pixmap for weblink in helpwindow.
091208 cs  xtt       EventSelectList exended to 40 elements.
100111 cs  xtt       Method Photo added to xtt toolbar.
100118 cs  ge        Possibility to configure the tooltip size in Ge graphs.
100129 cs  xtt       Event name added to alarm text in operator window.
100129 cs  xtt       Methods navigator and history added to method toolbar, which also can be used for other components than xtt.
100129 cs  xtt       Toolbar added to alarm and event window. Method buttons for both event object and sup object.
100201 cs  ge        StoDo works with slider objects.
100201 cs  xtt       Commands 'open graph /class/parent' and 'check isattribute' added button in object graphs to open parent object graph.
100209 cs  xtt       Error message for invalid local attributes in Ge graphs.
100209 cs  ge        Command 'set attr/bypass' replaced by action SetValue in object graphs.
100209 cs  ge        PID object graph, indicator for Inverse didn't work.
100216 cs  xtt       Command 'close graph', qualifier /classgraph added.
100216 cs  xtt       Command 'wait' added.
100305 cs  ge        Keystroke Ctrl+W can be used to close a Ge graph.
100309 cs  ge        Graph width and height stored in the beginning of the .pwg file to create the window with the correct size.
100512 cs  ge        Gradients added in java export.
100617 cs  xtt       Logging of operator actions implemented.
100617 cs  ge        Ge scale dynamic: negative scalefactors zeroed.
100617 cs  ge        Popup menu action: attribute can be referenced, and object methods viewed with cascading menu.
100618 cs  xtt       Show crossreferences searches in crossreferencefiles for all volumes.
100820 cs  xtt       Xtt trend bugfix, the same value was sometimes added twice to curve.
100825 cs  xtt       rt_xtt bugfix, option -u didn't work.
101015 cs  xtt       SevHist, several sevhist curves in one window.
101019 cs  xtt       Xtt loggning, conditional logging with expression added.
101028 cs  xtt       Sev curve window time selecton added and function to add curve.
101101 cs  xtt       Locale modified.
101111 cs  xtt       Ge journal bugfix for restore of incomplete journal file.
101111 cs  xtt       Chinese characters, UTF-0 char coding of language and textfiles.
101122 cs  xtt       Xtt bugfix, xtt started with -s (select opplace) didn't load the eventlist.
101123 cs  ge        Ge confirm, bugfix in close graph.
101203 cs  xtt       Xtt eventlist, ReturnText was not shown in return events.
101215 cs  ge        Ge plant navigator bugfix, unselect didn't remove global selection.
101220 cs  ge        Ge subgraph for limit switch added.
110112 cs  xtt       Operator logging, logging and replay of ge graph events implemented.
110114 cs  ge        Glow and flow widgets destructor fix, event timer fix.
110119 cs  ge        Ge subgraph camera added.
110119 cs  xtt       Language translationfiles, include statement added.
110120 cs  ge        Ge Move dynamic, different move and scale factors for x and y direction.
110120 cs  ge        wb_ge, execution of wtt initfile to get history log enable/disable setup added.
110121 cs  xtt       Languages zh_cn and fr_fr added.
110121 rk  rtmon     Runtime Monitor, problem with restart timeout fixed.
110202 cs  flow      Color alloc problem fixed.
110203 cs  xtt       Problems with OpPlace and XttGraph object in SharedVolume fixed.
110222 cs  xtt       Curve window, second mark added.
110222 cs  xtt       Curve window, export function added for history curves.
110329 cs  ge        Ge rotation dynamic, problem with escaping rotation object fixed.
110513 cs  ge        Component AxisArc for circular axes added.
110517 cs  xtt       Bugfix in 'close navigator' command.
110517 cs  xtt       Xtt graph options for fullscreen, maximize and iconify added for command and XttGraph.
110701 cs  xtt       Collection window added
110706 cs  xtt       Xtt, collection of all signals in an hierarchy and insert into a collection window
110715 cs  ge        Ge rotation of texts implemented
110719 cs  ge        Ge table select, element unselected when clicked on if already selected
110721 cs  ge        Ge bugfix, strange color in navigatin window when new text object was created
110721 cs  ge        Ge default textsize changed to 12
110912 cs  ge        Ge window object, error message for window with no initial graph removed
110921 cs  ge        Ge commands move, scale and rotate for selected object added, and move with absolute coordinates
110923 cs  xtt       Xtt command 'open navigator' added, and /object added to command 'set subwindow'
111005 cs  ge        Ge subgraph sliderarrow2 added
111010 cs  xtt       rt_xtt option n added for optimized network
111012 cs  ge        Ge metal button subgraphs fix for dimmed frame
111012 cs  ge        Ge group name change fix
111103 cs  xtt       Xtt, RemnodeWMQ added to remnode table
111104 cs  ge        Ge valueinput, bugfix in input cursor position
111104 cs  xtt       Xtt opplace, starup applications added, and layout option hide navigator
111108 cs  xtt       Xtt command store without /col didn't work for attribute objects
111205 cs  ge        Ge, Bit type added for all digital attributes, and reference attribute for SetDig
111214 cs  ge        Ge optionmenu and menu bugfix, key events and exposure events was lost
111221 cs  ge        Ge support for multiline texts
120120 cs  xtt       Xtt 'show device' channels in io module wasn't displayed
120215 cs  ge        Ge curve bugfix for datafile not found
120215 cs  ge        Ge invisible dynamics, string attributes inverted
120309 cs  ge        Ge Tooltip action, empty tooltip string will fetch view description of popupmenu object or host object
120312 cs  ge        Ge bugfix for input of key pad keys without numlock
120320 cs  xtt       Show inverted/teston/conversion for channel/signal in xtt
120404 cs  ge        Ge pie chart and bar chart added
120411 cs  xtt       Operator window, shows logo in $pwrp_exe/pwrp_logotype.png
120411 cs  ge        Ge graph, export as image
120427 cs  xtt       Trend curves, faster and larger
120509 cs  ge        Ge recursive references for subscription added
120523 cs  ge        Ge fix for shrinking windows on LXDE
120813 cs  xtt       Xtt message removed when window auto resized (refs #113)
120814 cs  ge        Ge value dynamics, fix to avoid segfault when type is not specifed
120814 cs  ge        Ge invisible dynamic didn't work for object in a group
120815 cs  ge        Ge submenu closing bugfix (refs #1)
120815 cs  xtt       Xtt close/except command, max lengt for except string increased
120912 cs  xtt       Xtt operator log configured in OpPlace object, attribute Options
120817 cs  xtt       Operator window status bar, size of node buttons decreased for large number of nodes
120820 cs  ge        Ge action input focus, invisible objects skipped for next tab and arrow right
120822 cs  ge        Ge fix for close graph dynamics with confirm
120823 cs  ge        Ge command 'move selected' bugfix (refs #42)
120827 cs  xtt       Alarm window, button to ack all alarms, and xtt command 'eventlist ack/all'
120907 cs  xtt       Xtt display values as hex, octal, binary etc
120912 cs  xtt       Xtt, alarm beep wasn't controled by OpPlace AlarmBell attribute
120919 cs  xtt       Xtt, bugfix in display of Do channel flags (refs #116)
120920 cs  xtt       Xtt bugfix, Hold and Scantime didn't work in Dv object graph
